Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.management.monitor
Class MonitorNotification

    java.lang.Object
      java.util.EventObject
          javax.management.Notification
              javax.management.monitor.MonitorNotification

All Implemented Interfaces:
  Serializable

public class MonitorNotification
extends Notification

A notification from one of the monitor services.

The notification occurs only when the state is first entered.

All monitor services produce the following notifications.

- `OBSERVED_OBJECT_ERROR` when the MBean is not registered.
- `OBSERVED_ATTRIBUTE_ERROR` when the MBean's attribute does not exist.
- `OBSERVED_ATTRIBUTE_TYPE_ERROR` when the MBean's attribute is not of the correct type for the monitor or the derived gauge value.
- `RUNTIME_ERROR` for any other error.

The counter monitor produces the following notifications.

- `THRESHOLD_ERROR` when one of the monitors threshold vaues is of an incorrect type.
- `THRESHOLD_VALUE_EXCEEDED` when the counter exceeds the threshold.

The gauge monitor produces the following notifications.

- `THRESHOLD_ERROR` when one of the monitors threshold vaues is of an incorrect type.
- `THRESHOLD_HIGH_VALUE_EXCEEDED` when the attribute exceeds the high threshold value.
- `THRESHOLD_LOW_VALUE_EXCEEDED` when the attribute exceeds the low threshold value.

The string monitor produces the following notifications.

- `STRING_TO_COMPARE_VALUE_DIFFERED` when the attribute no longer matches the specified value.
- `STRING_TO_COMPARE_VALUE_DIFFERED` when the attribute matches the specified value.

Version:
  $Revision: 1.5 $

  Revisions:

  20020816 Adrian Brock:

  - Serialization
Author:
  Adrian Brock
See Also:
  Serialized Form

Field Summary
`static String` | `OBSERVED_ATTRIBUTE_ERROR` Notification type when an MBean doesn't contain the specified attribute.
`static String` | `OBSERVED_ATTRIBUTE_TYPE_ERROR` Notification type when an attribute is null or the attribute has an incorrect type for the monitor service.
`static String` | `OBSERVED_OBJECT_ERROR` Notification type when an MBean is not registered.
`static String` | `RUNTIME_ERROR` Notification type for any other error.
`static String` | `STRING_TO_COMPARE_VALUE_DIFFERED` Notification type when an attribute no longer matches the specified value of a StringMonitor.
`static String` | `STRING_TO_COMPARE_VALUE_MATCHED` Notification type when an attribute changes to match the specified value of a StringMonitor.
`static String` | `THRESHOLD_ERROR` Notification type when an attribute's threshold parameters (threshold, low threshold, high threshold, offset or modules) are not of the correct type.
`static String` | `THRESHOLD_HIGH_VALUE_EXCEEDED` Notification type when a guage attribute changes to exceed the specified threshold high value.
`static String` | `THRESHOLD_LOW_VALUE_EXCEEDED` Notification type when a gauge attribute changes to exceed the specified threshold low value.
`static String` | `THRESHOLD_VALUE_EXCEEDED` Notification type when a counter attribute changes to exceed the specified threshold value.

Fields inherited from class java.util.EventObject
`source`

Method Summary
`Object` | `getDerivedGauge()` Retrieves the derived gauge.
`String` | `getObservedAttribute()` Retrieves the name of the attribute monitored.
`ObjectName` | `getObservedObject()` Retrieves the name of the MBean monitored.
`Object` | `getTrigger()` Retrieves the trigger value of the notification.
`String` | `toString()`

Methods inherited from class javax.management.Notification
`getMessage, getSequenceNumber, getSource, getTimeStamp, getType, getUserData, setSequenceNumber, setSource, setTimeStamp, setUserData`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### OBSERVED_ATTRIBUTE_ERROR

    public static final String OBSERVED_ATTRIBUTE_ERROR

  Notification type when an MBean doesn't contain the specified attribute. The observed object name and observed attribute name are sent in the notification.

  See Also:
    Constant Field Values

### OBSERVED_ATTRIBUTE_TYPE_ERROR

    public static final String OBSERVED_ATTRIBUTE_TYPE_ERROR

  Notification type when an attribute is null or the attribute has an incorrect type for the monitor service. The observed object name and observed attribute name are sent in the notification.

  See Also:
    Constant Field Values

### OBSERVED_OBJECT_ERROR

    public static final String OBSERVED_OBJECT_ERROR

  Notification type when an MBean is not registered. The observed object name is sent in the notification.

  See Also:
    Constant Field Values

### RUNTIME_ERROR

    public static final String RUNTIME_ERROR

  Notification type for any other error.

  See Also:
    Constant Field Values

### STRING_TO_COMPARE_VALUE_DIFFERED

    public static final String STRING_TO_COMPARE_VALUE_DIFFERED

  Notification type when an attribute no longer matches the specified value of a StringMonitor. The observed object name, observed attribute name, derived gauge (actual value) and trigger (monitor value) are sent in the notification. REVIEW: Verify this.

  See Also:
    Constant Field Values

### STRING_TO_COMPARE_VALUE_MATCHED

    public static final String STRING_TO_COMPARE_VALUE_MATCHED

  Notification type when an attribute changes to match the specified value of a StringMonitor. The observed object name, observed attribute name, derived gauge (actual value) and trigger (monitor value) are sent in the notification. REVIEW: Verify this.

  See Also:
    Constant Field Values

### THRESHOLD_ERROR

    public static final String THRESHOLD_ERROR

  Notification type when an attribute's threshold parameters (threshold, low threshold, high threshold, offset or modules) are not of the correct type. The observed object name and observed attribute are sent in the notification. REVIEW: Verify this.

  See Also:
    Constant Field Values

### THRESHOLD_VALUE_EXCEEDED

    public static final String THRESHOLD_VALUE_EXCEEDED

  Notification type when a counter attribute changes to exceed the specified threshold value. The observed object name, observed attribute name, derived gauge (actual value) and trigger (threshold value) are sent in the notification. REVIEW: Verify this.

  See Also:
    Constant Field Values

### THRESHOLD_HIGH_VALUE_EXCEEDED

    public static final String THRESHOLD_HIGH_VALUE_EXCEEDED

  Notification type when a guage attribute changes to exceed the specified threshold high value. The observed object name, observed attribute name, derived gauge (actual value) and trigger (threshold value) are sent in the notification. REVIEW: Verify this.

  See Also:
    Constant Field Values

### THRESHOLD_LOW_VALUE_EXCEEDED

    public static final String THRESHOLD_LOW_VALUE_EXCEEDED

  Notification type when a gauge attribute changes to exceed the specified threshold low value. The observed object name, observed attribute name, derived gauge (actual value) and trigger (threshold value) are sent in the notification. REVIEW: Verify this.

  See Also:
    Constant Field Values

Method Detail

### getDerivedGauge

    public Object getDerivedGauge()

  Retrieves the derived gauge. See each monitor service for the definition of this value.

  Returns:
    the derived gauge.

### getObservedAttribute

    public String getObservedAttribute()

  Retrieves the name of the attribute monitored.

  Returns:
    the name of the monitored attribute.

### getObservedObject

    public ObjectName getObservedObject()

  Retrieves the name of the MBean monitored.

  Returns:
    the registered object name.

### getTrigger

    public Object getTrigger()

  Retrieves the trigger value of the notification. See each monitor service for the values that trigger notifications.

  Returns:
    the trigger.

### toString

    public String toString()

  Overrides:
    `toString` in class `Notification`
  Returns:
    human readable string.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.